/**
 * @fileoverview anychart.palettes namespace file.
 * @suppress {extraRequire}
 */

goog.provide('anychart.palettes');
goog.require('anychart.palettes.DistinctColors');
goog.require('anychart.palettes.HatchFills');
goog.require('anychart.palettes.Markers');
goog.require('anychart.palettes.RangeColors');


/**
 * Namespace with palettes.
 * @namespace
 * @name anychart.palettes
 */


/** @type {Array.<string>} */
anychart.palettes.defaultPalette = ['#64b5f6', '#1976d2', '#ef6c00', '#ffd54f', '#455a64', '#96a6a6', '#dd2c00', '#00838f', '#00bfa5', '#ffa000'];


/** @type {Array.<string>} */
anychart.palettes.earth = ['#827717', '#c77532', '#998675', '#6b617b', '#c69c6d', '#d29b9b', '#879872', '#16685d', '#57a7b1', '#bdbdbd'];


/** @type {Array.<string>} */
anychart.palettes.monochrome = ['#37474f', '#757575', '#90a4ae', '#bdbdbd', '#e1e1e1'];


/** @type {Array.<string>} */
anychart.palettes.provence = ['#aa8ab3', '#b7cbe2', '#cdd18e', '#938d9c', '#6f5264', '#96246a', '#519790', '#6aabcc', '#61687d', '#7b8030'];


/** @type {Array.<string>} */
anychart.palettes.morning = ['#0288d1', '#58abd7', '#ffe082', '#f8bbd0', '#f48fb1', '#bbdefb', '#d4e157', '#ff6e40', '#03a9f4', '#e1bee7'];


/** @type {Array.<string>} */
anychart.palettes.coffee = ['#482311', '#8d5932', '#d8b597', '#f2d1be', '#9b301c', '#d81e05', '#c5e1a5', '#558b2f', '#ffab00', '#e65100'];


/** @type {Array.<string>} */
anychart.palettes.wines = ['#6f3448', '#857600', '#f1a122', '#a50b01', '#400001', '#a98b80', '#c08081', '#86614e', '#c26364', '#615060'];


/** @type {Array.<string>} */
anychart.palettes.turquoise = ['#80deea', '#00acc1', '#00838f', '#29b6f6', '#0277bd', '#0277bd', '#8c9eff', '#9575cd', '#ce93d8', '#8e24aa'];


/** @type {Array.<string>} */
anychart.palettes.pastel = ['#90caf9', '#80cbc4', '#aed581', '#e6ee9c', '#ffcc80', '#ffab91', '#f8bbd0', '#d1c4e9', '#9e9e9e', '#c7b299'];


/** @type {Array.<string>} */
anychart.palettes.blue = ['#40c4ff', '#0288d1', '#9fa8da', '#5c6bc0', '#7e57c2', '#54dbdf', '#15a9c7', '#00897b', '#304ffe', '#01579b'];


/** @type {Array.<string>} */
anychart.palettes.glamour = ['#f8bbd0', '#ce93d8', '#ab47bc', '#d81b60', '#880e4f', '#ffd600', '#ff6e40', '#03a9f4', '#5e35b1', '#1976d2'];


/** @type {Array.<string>} */
anychart.palettes.sea = ['#a9e1d4', '#54dbdf', '#15a9c7', '#207fbf', '#c0aca5', '#8b8a92', '#dbcb8f', '#dba869', '#ffab00', '#00897b'];


/** @type {Array.<string>} */
anychart.palettes.v6 = ['#1D8BD1', '#F1683C', '#2AD62A', '#DBDC25', '#8FBC8B', '#D2B48C', '#FAF0E6', '#20B2AA', '#B0C4DE', '#DDA0DD', '#9C9AFF', '#9C3063', '#FFFFCE', '#CEFFFF', '#630063', '#FF8284', '#0065CE', '#CECFFF', '#000084', '#FF00FF', '#FFFF00', '#00FFFF', '#840084', '#840000', '#008284', '#0000FF', '#00CFFF', '#CEFFFF', '#CEFFCE', '#FFFF9C', '#9CCFFF', '#FF9ACE', '#CE9AFF', '#FFCF9C', '#3165FF', '#31CFCE', '#9CCF00', '#FFCF00', '#FF9A00', '#FF6500'];


//exports
goog.exportSymbol('anychart.palettes.defaultPalette', anychart.palettes.defaultPalette);
goog.exportSymbol('anychart.palettes.earth', anychart.palettes.earth);
goog.exportSymbol('anychart.palettes.monochrome', anychart.palettes.monochrome);
goog.exportSymbol('anychart.palettes.provence', anychart.palettes.provence);
goog.exportSymbol('anychart.palettes.morning', anychart.palettes.morning);
goog.exportSymbol('anychart.palettes.coffee', anychart.palettes.coffee);
goog.exportSymbol('anychart.palettes.wines', anychart.palettes.wines);
goog.exportSymbol('anychart.palettes.turquoise', anychart.palettes.turquoise);
goog.exportSymbol('anychart.palettes.pastel', anychart.palettes.pastel);
goog.exportSymbol('anychart.palettes.blue', anychart.palettes.blue);
goog.exportSymbol('anychart.palettes.glamour', anychart.palettes.glamour);
goog.exportSymbol('anychart.palettes.sea', anychart.palettes.sea);
goog.exportSymbol('anychart.palettes.v6', anychart.palettes.v6);
